Reply to topic

Can't install Eric Python

jolugaju
Registered Member
Posts
4
Karma
0

Can't install Eric Python

Thu Feb 22, 2018 11:02 am
Hello!
I'm trying to install Eric Python but I can't.
I'm a newbie and I'm lost.
I've tried with Discover and with sudo apt install eric.
My OS is KDE Neon x64 Plasma 5.12.1.

This is what APT returns ...
********************************************
$ sudo apt install eric
Reading package lists... Done
Building dependency tree
Reading state information... Done
Starting pkgProblemResolver with broken count: 1
Starting 2 pkgProblemResolver with broken count: 1
Investigating (0) eric [ amd64 ] < none -> 6.0.8-1 > ( universe/python )
Broken eric:amd64 Depends on python3-pyqt5.qsci [ amd64 ] < none -> 2.9.1+dfsg-4build1 > ( universe/python )
Considering python3-pyqt5.qsci:amd64 1 as a solution to eric:amd64 10000
Re-Instated libqt5scintilla2-l10n:amd64
Re-Instated libqt5scintilla2-12v5:amd64
Reinst Failed early because of sip-py3api-11.2:amd64
Investigating (0) libqt5core5a [ amd64 ] < 5.9.3+dfsg-0neon+16.04+xenial+build42 > ( libs )
Broken libqt5core5a:amd64 Breaks on libqt5scintilla2-12v5 [ amd64 ] < none -> 2.9.1+dfsg-4build1 > ( universe/libs ) (< 2.9.2+dfsg-2~)
Considering libqt5scintilla2-12v5:amd64 0 as a solution to libqt5core5a:amd64 3190
Added libqt5scintilla2-12v5:amd64 to the remove list
Fixing libqt5core5a:amd64 via keep of libqt5scintilla2-12v5:amd64
Investigating (1) eric [ amd64 ] < none -> 6.0.8-1 > ( universe/python )
Broken eric:amd64 Depends on python3-pyqt5.qsci [ amd64 ] < none -> 2.9.1+dfsg-4build1 > ( universe/python )
Considering python3-pyqt5.qsci:amd64 1 as a solution to eric:amd64 10000
Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
eric : Depends: python3-pyqt5.qsci but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
********************************************

Any idea?
Do you need more information from my system?
Thanks a lot in advance!
jolugaju
Registered Member
Posts
4
Karma
0

Re: Can't install Eric Python  Topic is solved

Thu Feb 22, 2018 3:29 pm
Finally I downloaded the software from the Eric website.
I found a readme file in the folder after decompress the tar file.
I followed the instructions and then install from the folder.
If I try the final step with Apt or Discover It doesn't install but It worked with the downloaded program.

 
Reply to topic

Bookmarks



Who is online

Registered users: 52ROSt, afonsop, Baidu [Spider], Bing [Bot], charlesmoore, Corn Flake, Exabot [Bot], Google [Bot], kde-pedro, scummos, TheraHedwig